@import "./../../../../assets/styles/variables";

app-dropdown {
  .custom-flex-box {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
  }

  .sr-custom-dropdown-button {
    margin-top: 2px;
    width: 100%;
    color: var(--eui-c-neutral-lighter) !important;
    border-color: var(--eui-c-neutral-lighter) !important;
    min-width: 100%;
  }

  eui-dropdown-content {
    min-width: 33rem !important;
  }

  eui-icon-svg {
    padding-right: 8px !important;
    color: var(--eui-c-neutral-lightest) !important;
  }

  .eui-sprite-square-full {
    height: 24px !important;
    width: 24px !important;
  }

  .eui-button__container {
    justify-content: space-between !important;
  }

  eui-tree {
    div:has(eui-icon-svg) + div {
      color: var(--eui-c-neutral-lightest) !important;
    }
  }
}

@media(min-width: $deviceSizeS) {
  eui-dropdown-content {
    min-width: 24rem !important;
  }
}

// this rule makes the icon of the disabled state to follow the same size as the rest of the dropdowns
.eui-icon-svg.eui-icon-svg--size-s svg {
  margin-right: 4px;
  width: 1.5rem !important;
  height: 1.5rem !important;
}

// title comes form tooltip translation text
// rule to fade out the disabled choice of the dropdown. Title is set on component.ts >  getDisableTranslation() > default
div[title='Incompatible filters combination'],
div[title='Only compatible with "Transaction type", "Transaction subject" and "Transaction component"'],
div[title='Only compatible with "Theme"'],
{
  color: #d6d6d6 !important;
}

